"""Module contains runtime settings"""

from dataclasses import dataclass

from lunavl.sdk.faceengine.setting_provider import FaceEngineSettingsProvider, VerboseLogging


@dataclass
class SystemSettings:
    """
    System settings
    """

    # (VerboseLogging): logging level
    logLevel: VerboseLogging = None

    def __post_init__(self):
        feConf = FaceEngineSettingsProvider()
        if self.logLevel is None:
            self.logLevel = feConf.systemSettings.verboseLogging

    def toSDKfaceengineConf(self) -> FaceEngineSettingsProvider:
        """Convert settings to the SDK FaceEngine settings"""
        feConf = FaceEngineSettingsProvider()

        feConf.systemSettings.verboseLogging = self.logLevel
        return feConf
