"""
Module contains monitoring point protocol
"""

from abc import abstractmethod
from typing import Protocol

# from .crutches_on_wheels.monitoring_utils.points import DataForMonitoring


class MonitoringPoint(Protocol):
    """
    Protocol for a monitoring point.
    """

    # event time
    eventTime: float
    # series
    name: str

    @abstractmethod
    def getFields(self) -> dict:
        """Get monitoring fields"""
        raise NotImplementedError

    @abstractmethod
    def getTags(self) -> dict:
        """Get monitoring tags"""
        raise NotImplementedError
