"""Module contains logger api"""

import logging

from lunavl.sdk.faceengine.setting_provider import VerboseLogging

MAP_SDK_LOGLEVEL = {
    "ERROR": VerboseLogging.error,
    "INFO": VerboseLogging.info,
    "WARNING": VerboseLogging.warnings,
    "DEBUG": VerboseLogging.debug,
}

# global logger
logger = logging.getLogger("sdkloop")


def getLogger(suffix) -> logging.Logger:
    """
    Get logger
    Args:
        suffix: suffix of logger name

    Returns:
        logger
    """
    logger = logging.getLogger(f"sdkloop.{suffix}")
    # https://jdhao.github.io/2020/06/20/python_duplicate_logging_messages/
    logger.propagate = False
    return logger
